﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class PerAgainSituation
    {
        private decimal? _departmentTotal;
        private decimal? _nightShift;
        private decimal? _bossPerfor;
        private decimal? _award;
        private decimal? _allowance;
        private decimal? _allotPerfor;
        private decimal? _jobPerfor;
        private decimal? _workloadPerfor;
        private decimal? _alonePerfor;
        private decimal? _attendance;
        private decimal? _departmentFactorAvg;

        /// <summary>
        /// 夜班费
        /// </summary>
        public Nullable<decimal> NightShift
        {
            get => _nightShift.HasValue ? Math.Round(_nightShift.Value, 2) : _nightShift;
            set => _nightShift = value;
        }

        /// <summary>
        /// 科室总绩效
        /// </summary>
        public Nullable<decimal> DepartmentTotal
        {
            get => (_departmentTotal.HasValue ? Math.Round(_departmentTotal.Value, 2) : _departmentTotal);
            set => _departmentTotal = value;
        }

        /// <summary>
        /// 护士长或科主任基础绩效
        /// </summary>
        public Nullable<decimal> BossPerfor
        {
            get => _bossPerfor.HasValue ? Math.Round(_bossPerfor.Value, 2) : _bossPerfor;
            set => _bossPerfor = value;
        }

        /// <summary>
        /// 重点奖励
        /// </summary>
        public Nullable<decimal> Award
        {
            get => _award.HasValue ? Math.Round(_award.Value, 2) : _award;
            set => _award = value;
        }

        /// <summary>
        /// 管理津贴
        /// </summary>
        public Nullable<decimal> Allowance
        {
            get => _allowance.HasValue ? Math.Round(_allowance.Value, 2) : _allowance;
            set => _allowance = value;
        }

        /// <summary>
        /// 业绩分配绩效
        /// </summary>
        public Nullable<decimal> AllotPerfor
        {
            get => _allotPerfor.HasValue ? Math.Round(_allotPerfor.Value, 2) : _allotPerfor;
            set => _allotPerfor = value;
        }

        /// <summary>
        /// 职称绩效
        /// </summary>
        public Nullable<decimal> JobPerfor
        {
            get => _jobPerfor.HasValue ? Math.Round(_jobPerfor.Value, 2) : _jobPerfor;
            set => _jobPerfor = value;
        }

        /// <summary>
        /// 工作量绩效
        /// </summary>
        public Nullable<decimal> WorkloadPerfor
        {
            get => _workloadPerfor.HasValue ? Math.Round(_workloadPerfor.Value, 2) : _workloadPerfor;
            set => _workloadPerfor = value;
        }

        /// <summary>
        /// 单独核算人员绩效
        /// </summary>
        public Nullable<decimal> AlonePerfor
        {
            get => _alonePerfor.HasValue ? Math.Round(_alonePerfor.Value, 2) : _alonePerfor;
            set => _alonePerfor = value;
        }

        /// <summary>
        /// 出勤
        /// </summary>
        public Nullable<decimal> Attendance
        {
            get => _attendance.HasValue ? Math.Round(_attendance.Value, 2) : _attendance;
            set => _attendance = value;
        }

        /// <summary>
        /// 科室系数人均
        /// </summary>
        public Nullable<decimal> DepartmentFactorAvg
        {
            get => _departmentFactorAvg.HasValue ? Math.Round(_departmentFactorAvg.Value, 2) : _departmentFactorAvg;
            set => _departmentFactorAvg = value;
        }
    }
}
